Redmine - Defect #16980

Email Configuration - REDMINE 2.4.0.stable
2014-05-26 17:11 -Jo V

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 2.4.0

Description
Hi Guys

I am running REDMINE 2.4.0.stable on a CentOS 6.5. My environment details are as follows:

*Environment:

Redmine version 2.4.0.stable

Ruby version 2.1.0-p0 (2013-12-25) [x86_64-linux]
Rails version 3.2.15

Environment production

Database adapter MySQL

SCM:

Subversion 1.6.11

Git1.7.1

Filesystem

Redmine plugins:

no plugin installed *

| have configured the configuration.yml file with our SMTP Server details to send out email notifications to different users on our
REDMINE system.

However, | noticed that when we receive the emails, the "To" list doesn't show the receipient email address. It is empty. Also, it
doesn't show any other details such as cc or bcc.

My email configuration settings are as follows:

"# default configuration options for all environments
default: # Outgoing emails configuration (see examples above)
email_delivery:

delivery_method: :smtp

smtp_settings:

address: mail.example.com

port: 25

domain: pantelintl.com

authentication: :login

user_name: redmine@example.com"

password: xxxxxxx "

Could any of you please provide me some assistance why the email address is not listed in the To list and why cc or bec is also not
listed in the emails that are coming from the REDMINE system?

Looking forward for useful assistance,

Regards
Jo

History

#1 - 2014-05-27 11:04 - Toshi MARUYAMA
- File setting.png added
- Status changed from New to Closed

- Resolution set to Invalid
#2 - 2014-05-27 13:47 - Jo V

- File Redmine-EmailSettings.png added

- Status changed from Closed to Reopened

Hi Toshi

Thanks for your response.

| checked my Redmine settings and | confirm that | already have the settings that you have recommended.
Still, 1 don't see the bce and cc. Also, my "To" list is still empty.

| am attaching my current email notification screen shot for your reference.

| would greatly appreciate your assistance in getting it resolved.

Regards
Jo

#3 - 2014-05-27 14:44 - Toshi MARUYAMA

- Status changed from Reopened to Closed

http://en.wikipedia.org/wiki/Blind_carbon_copy

The primary and secondary recipients cannot see the tertiary recipients.

#4 - 2014-05-27 14:46 - Toshi MARUYAMA
- File deleted (Redmine-EmailSettings.png)

#5 - 2014-05-27 14:47 - Toshi MARUYAMA

| have deleted your attachment because it has real mail address.

#6 - 2014-05-27 14:52 - Jo V

- Status changed from Closed to Reopened

Hi Toshi

Thanks for deleting my attachment. | actually forgot that it contained a real email address.

| understand the fact that bcc recipients won't be displayed in the email notification.

However, the "To" list also doesn't display the email addresses of any one. It is just empty.

| also noticed that, even for the email notifications coming for this ticket update as well doesn't show my email address in the "To" list. It is empty.
Is this the way latest REDMINE builds are configured?

Looking forward for your response.

Regards
Jo

#7 - 2014-05-27 14:56 - Toshi MARUYAMA

- Status changed from Reopened to Closed

You should bcc setting off.

#8 - 2014-05-27 15:04 - Jo V

Thanks Toshi for your support.
| just tested it and it works..

Regards
Jo
